# Check availability of multiple domains (https://developer.godaddy.com/en/docs/references/rest/domains/v1/available-bulk)

---
title: Check availability of multiple domains
description: Checks availability for multiple domains in a single request.
full: true
---

Full description

Checks availability for multiple domains in a single request. Returns an array of availability and pricing results, one per domain queried.

## POST /v1/domains/available

Check availability of multiple domains

Checks availability for multiple domains in a single request. Returns an array of availability and pricing results, one per domain queried.

### Query parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `checkType` | string | no | Optimize for time ('FAST') or accuracy ('FULL') |

### Request body (required)

Domain names for which to check availability

Content-Type: `application/json`

Schema:

- array
  - items:

Content-Type: `application/xml`

Schema:

- array
  - items:

Content-Type: `text/xml`

Schema:

- array
  - items:

### Responses

**200** — Request was successful

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/DomainAvailableBulk`

Content-Type: `application/javascript`

Schema:

- schema reference: `#/components/schemas/DomainAvailableBulk`

Content-Type: `application/xml`

Schema:

- schema reference: `#/components/schemas/DomainAvailableBulk`

Content-Type: `text/javascript`

Schema:

- schema reference: `#/components/schemas/DomainAvailableBulk`

Content-Type: `text/xml`

Schema:

- schema reference: `#/components/schemas/DomainAvailableBulk`

**203** — Request was partially successful

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/DomainAvailableBulkMixed`

Content-Type: `application/javascript`

Schema:

- schema reference: `#/components/schemas/DomainAvailableBulkMixed`

Content-Type: `application/xml`

Schema:

- schema reference: `#/components/schemas/DomainAvailableBulkMixed`

Content-Type: `text/javascript`

Schema:

- schema reference: `#/components/schemas/DomainAvailableBulkMixed`

Content-Type: `text/xml`

Schema:

- schema reference: `#/components/schemas/DomainAvailableBulkMixed`

**400** — Request was malformed

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/xml`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/xml`

Schema:

- schema reference: `#/components/schemas/Error`

**401** — Authentication info not sent or invalid

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/xml`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/xml`

Schema:

- schema reference: `#/components/schemas/Error`

**403** — Authenticated user is not allowed access

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/xml`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/xml`

Schema:

- schema reference: `#/components/schemas/Error`

**422** — - Cannot convert domain label error
- Domain is missing IDN script
- Domain segment ends with dash
- Domain starts with dash
- Domain uses unsupported IDN script
- FQDN fails generic validity regex
- Invalid character(s) error
- Invalid tld error
- Non-IDN domain name must not have dashes at the third and fourth position
- Reserved name error
- domain must be specified

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/xml`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/xml`

Schema:

- schema reference: `#/components/schemas/Error`

**429** — Too many requests received within interval

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/ErrorLimit`

Content-Type: `application/javascript`

Schema:

- schema reference: `#/components/schemas/ErrorLimit`

Content-Type: `application/xml`

Schema:

- schema reference: `#/components/schemas/ErrorLimit`

Content-Type: `text/javascript`

Schema:

- schema reference: `#/components/schemas/ErrorLimit`

Content-Type: `text/xml`

Schema:

- schema reference: `#/components/schemas/ErrorLimit`

**500** — Internal server error

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/xml`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/xml`

Schema:

- schema reference: `#/components/schemas/Error`

**Security:** requires `bearerAuth`.
